Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman56.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman56.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman56.cs	(revision 17805)
@@ -28,6 +28,6 @@
     public override string Name {
       get {
-        return string.Format("II.6.15a 3/(4*pi*epsilon)*p_d*z/r**5*sqrt(x**2+y**2) | {0} samples | {1}",
-          trainingSamples, noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
+        return string.Format("II.6.15a 3/(4*pi*epsilon)*p_d*z/r**5*sqrt(x**2+y**2) | {0}",
+          noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
     }
@@ -77,5 +77,5 @@
       if (noiseRatio != null) {
         var Ef_noise    = new List<double>();
-        var sigma_noise = (double) noiseRatio * Ef.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * Ef.StandardDeviationPop();
         Ef_noise.AddRange(Ef.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(Ef);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman57.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman57.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman57.cs	(revision 17805)
@@ -29,6 +29,6 @@
       get {
         return string.Format(
-          "II.6.15b 3/(4*pi*epsilon)*p_d/r**3*cos(theta)*sin(theta) | {0} samples | {1}",
-          trainingSamples, noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
+          "II.6.15b 3/(4*pi*epsilon)*p_d/r**3*cos(theta)*sin(theta) | {0}",
+          noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
     }
@@ -73,5 +73,5 @@
       if (noiseRatio != null) {
         var Ef_noise    = new List<double>();
-        var sigma_noise = (double) noiseRatio * Ef.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * Ef.StandardDeviationPop();
         Ef_noise.AddRange(Ef.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(Ef);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman58.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman58.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman58.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.8.7 3/5*q**2/(4*pi*epsilon*d) | {0} samples | {1}", trainingSamples,
+        return string.Format("II.8.7 3/5*q**2/(4*pi*epsilon*d) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var E_n_noise   = new List<double>();
-        var sigma_noise = (double) noiseRatio * E_n.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * E_n.StandardDeviationPop();
         E_n_noise.AddRange(E_n.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(E_n);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman59.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman59.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman59.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.8.31 epsilon*Ef**2/2 | {0} samples | {1}", trainingSamples,
+        return string.Format("II.8.31 epsilon*Ef**2/2 | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -68,5 +68,5 @@
       if (noiseRatio != null) {
         var E_den_noise = new List<double>();
-        var sigma_noise = (double) noiseRatio * E_den.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * E_den.StandardDeviationPop();
         E_den_noise.AddRange(E_den.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(E_den);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman6.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman6.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman6.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.10.7 m_0/sqrt(1-v**2/c**2) | {0} samples | {1}", trainingSamples,
+        return string.Format("I.10.7 m_0/sqrt(1-v**2/c**2) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var m_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * m.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * m.StandardDeviationPop();
         m_noise.AddRange(m.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(m);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman60.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman60.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman60.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.10.9 sigma_den/epsilon*1/(1+chi) | {0} samples | {1}", trainingSamples,
+        return string.Format("II.10.9 sigma_den/epsilon*1/(1+chi) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var Ef_noise    = new List<double>();
-        var sigma_noise = (double) noiseRatio * Ef.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * Ef.StandardDeviationPop();
         Ef_noise.AddRange(Ef.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(Ef);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman61.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman61.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman61.cs	(revision 17805)
@@ -28,6 +28,6 @@
     public override string Name {
       get {
-        return string.Format("II.11.3 q*Ef/(m*(omega_0**2-omega**2)) | {0} samples | {1}",
-          trainingSamples, noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
+        return string.Format("II.11.3 q*Ef/(m*(omega_0**2-omega**2)) | {0}",
+          noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
     }
@@ -74,5 +74,5 @@
       if (noiseRatio != null) {
         var x_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * x.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * x.StandardDeviationPop();
         x_noise.AddRange(x.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(x);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman62.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman62.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman62.cs	(revision 17805)
@@ -28,6 +28,6 @@
     public override string Name {
       get {
-        return string.Format("II.11.17 n_0*(1 + p_d*Ef*cos(theta)/(kb*T)) | {0} samples | {1}",
-          trainingSamples, noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
+        return string.Format("II.11.17 n_0*(1 + p_d*Ef*cos(theta)/(kb*T)) | {0}",
+          noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
     }
@@ -76,5 +76,5 @@
       if (noiseRatio != null) {
         var n_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * n.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * n.StandardDeviationPop();
         n_noise.AddRange(n.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(n);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman63.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman63.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman63.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.11.20 n_rho*p_d**2*Ef/(3*kb*T) | {0} samples | {1}", trainingSamples,
+        return string.Format("II.11.20 n_rho*p_d**2*Ef/(3*kb*T) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -74,5 +74,5 @@
       if (noiseRatio != null) {
         var Pol_noise   = new List<double>();
-        var sigma_noise = (double) noiseRatio * Pol.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * Pol.StandardDeviationPop();
         Pol_noise.AddRange(Pol.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(Pol);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman64.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman64.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman64.cs	(revision 17805)
@@ -28,6 +28,6 @@
     public override string Name {
       get {
-        return string.Format("II.11.27 n*alpha/(1-(n*alpha/3))*epsilon*Ef | {0} samples | {1}",
-          trainingSamples, noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
+        return string.Format("II.11.27 n*alpha/(1-(n*alpha/3))*epsilon*Ef | {0}",
+          noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
     }
@@ -72,5 +72,5 @@
       if (noiseRatio != null) {
         var Pol_noise   = new List<double>();
-        var sigma_noise = (double) noiseRatio * Pol.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * Pol.StandardDeviationPop();
         Pol_noise.AddRange(Pol.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(Pol);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman65.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman65.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman65.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.11.28 1+n*alpha/(1-(n*alpha/3)) | {0} samples | {1}", trainingSamples,
+        return string.Format("II.11.28 1+n*alpha/(1-(n*alpha/3)) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -68,5 +68,5 @@
       if (noiseRatio != null) {
         var theta_noise = new List<double>();
-        var sigma_noise = (double) noiseRatio * theta.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * theta.StandardDeviationPop();
         theta_noise.AddRange(theta.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(theta);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman66.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman66.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman66.cs	(revision 17805)
@@ -28,6 +28,6 @@
     public override string Name {
       get {
-        return string.Format("II.13.17 1/(4*pi*epsilon*c**2)*2*I/r | {0} samples | {1}",
-          trainingSamples, noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
+        return string.Format("II.13.17 1/(4*pi*epsilon*c**2)*2*I/r | {0}",
+          noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
     }
@@ -72,5 +72,5 @@
       if (noiseRatio != null) {
         var B_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * B.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * B.StandardDeviationPop();
         B_noise.AddRange(B.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(B);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman67.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman67.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman67.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.13.23 rho_c_0/sqrt(1-v**2/c**2) | {0} samples | {1}", trainingSamples,
+        return string.Format("II.13.23 rho_c_0/sqrt(1-v**2/c**2) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var rho_c_noise = new List<double>();
-        var sigma_noise = (double) noiseRatio * rho_c.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * rho_c.StandardDeviationPop();
         rho_c_noise.AddRange(rho_c.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(rho_c);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman68.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman68.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman68.cs	(revision 17805)
@@ -28,6 +28,6 @@
     public override string Name {
       get {
-        return string.Format("II.13.34 rho_c_0*v/sqrt(1-v**2/c**2) | {0} samples | {1}",
-          trainingSamples, noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
+        return string.Format("II.13.34 rho_c_0*v/sqrt(1-v**2/c**2) | {0}",
+          noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
     }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var j_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * j.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * j.StandardDeviationPop();
         j_noise.AddRange(j.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(j);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman69.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman69.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman69.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.15.4 -mom*B*cos(theta) | {0} samples | {1}", trainingSamples,
+        return string.Format("II.15.4 -mom*B*cos(theta) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var E_n_noise   = new List<double>();
-        var sigma_noise = (double) noiseRatio * E_n.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * E_n.StandardDeviationPop();
         E_n_noise.AddRange(E_n.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(E_n);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman7.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman7.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman7.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("I.11.19 x1*y1+x2*y2+x3*y3 | {0} samples | {1}", trainingSamples,
+        return string.Format("I.11.19 x1*y1+x2*y2+x3*y3 | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -76,5 +76,5 @@
       if (noiseRatio != null) {
         var A_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * A.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * A.StandardDeviationPop();
         A_noise.AddRange(A.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(A);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman70.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman70.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman70.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.15.5 -p_d*Ef*cos(theta) | {0} samples | {1}", trainingSamples,
+        return string.Format("II.15.5 -p_d*Ef*cos(theta) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var E_n_noise   = new List<double>();
-        var sigma_noise = (double) noiseRatio * E_n.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * E_n.StandardDeviationPop();
         E_n_noise.AddRange(E_n.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(E_n);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman71.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman71.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman71.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.21.32 q/(4*pi*epsilon*r*(1-v/c)) | {0} samples | {1}", trainingSamples,
+        return string.Format("II.21.32 q/(4*pi*epsilon*r*(1-v/c)) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -74,5 +74,5 @@
       if (noiseRatio != null) {
         var Volt_noise  = new List<double>();
-        var sigma_noise = (double) noiseRatio * Volt.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * Volt.StandardDeviationPop();
         Volt_noise.AddRange(Volt.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(Volt);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman72.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman72.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman72.cs	(revision 17805)
@@ -28,6 +28,6 @@
     public override string Name {
       get {
-        return string.Format("II.24.17 sqrt(omega**2/c**2-pi**2/d**2) | {0} samples | {1}",
-          trainingSamples, noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
+        return string.Format("II.24.17 sqrt(omega**2/c**2-pi**2/d**2) | {0}",
+          noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
     }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var k_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * k.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * k.StandardDeviationPop();
         k_noise.AddRange(k.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(k);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman73.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman73.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman73.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.27.16 epsilon*c*Ef**2 | {0} samples | {1}", trainingSamples,
+        return string.Format("II.27.16 epsilon*c*Ef**2 | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var flux_noise  = new List<double>();
-        var sigma_noise = (double) noiseRatio * flux.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * flux.StandardDeviationPop();
         flux_noise.AddRange(flux.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(flux);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman74.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman74.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman74.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.27.18 epsilon*Ef**2 | {0} samples | {1}", trainingSamples,
+        return string.Format("II.27.18 epsilon*Ef**2 | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -68,5 +68,5 @@
       if (noiseRatio != null) {
         var E_den_noise = new List<double>();
-        var sigma_noise = (double) noiseRatio * E_den.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * E_den.StandardDeviationPop();
         E_den_noise.AddRange(E_den.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(E_den);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman75.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman75.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman75.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.34.2a q*v/(2*pi*r) | {0} samples | {1}", trainingSamples,
+        return string.Format("II.34.2a q*v/(2*pi*r) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var I_noise     = new List<double>();
-        var sigma_noise = (double) noiseRatio * I.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * I.StandardDeviationPop();
         I_noise.AddRange(I.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(I);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman76.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman76.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman76.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.34.2 q*v*r/2 | {0} samples | {1}", trainingSamples,
+        return string.Format("II.34.2 q*v*r/2 | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var mom_noise   = new List<double>();
-        var sigma_noise = (double) noiseRatio * mom.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * mom.StandardDeviationPop();
         mom_noise.AddRange(mom.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(mom);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman77.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman77.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman77.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.34.11 g_*q*B/(2*m) | {0} samples | {1}", trainingSamples,
+        return string.Format("II.34.11 g_*q*B/(2*m) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -72,5 +72,5 @@
       if (noiseRatio != null) {
         var omega_noise = new List<double>();
-        var sigma_noise = (double) noiseRatio * omega.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * omega.StandardDeviationPop();
         omega_noise.AddRange(omega.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(omega);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman78.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman78.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman78.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.34.29a q*h/(4*pi*m) | {0} samples | {1}", trainingSamples,
+        return string.Format("II.34.29a q*h/(4*pi*m) | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -70,5 +70,5 @@
       if (noiseRatio != null) {
         var mom_noise   = new List<double>();
-        var sigma_noise = (double) noiseRatio * mom.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * mom.StandardDeviationPop();
         mom_noise.AddRange(mom.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(mom);
Index: /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman79.cs
===================================================================
--- /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman79.cs	(revision 17804)
+++ /trunk/HeuristicLab.Problems.Instances.DataAnalysis/3.3/Regression/Feynman/Feynman79.cs	(revision 17805)
@@ -28,5 +28,5 @@
     public override string Name {
       get {
-        return string.Format("II.34.29b g_*mom*B*Jz/h | {0} samples | {1}", trainingSamples,
+        return string.Format("II.34.29b g_*mom*B*Jz/h | {0}",
           noiseRatio == null ? "no noise" : string.Format(System.Globalization.CultureInfo.InvariantCulture, "noise={0:g}",noiseRatio));
       }
@@ -74,5 +74,5 @@
       if (noiseRatio != null) {
         var E_n_noise   = new List<double>();
-        var sigma_noise = (double) noiseRatio * E_n.StandardDeviationPop();
+        var sigma_noise = (double) Math.Sqrt(noiseRatio.Value) * E_n.StandardDeviationPop();
         E_n_noise.AddRange(E_n.Select(md => md + NormalDistributedRandom.NextDouble(rand, 0, sigma_noise)));
         data.Remove(E_n);
